Bug 734988 - [abrt] pychess-0.10-1.fc15: lmove.py:349:parseSAN:ParsingError: ('dxe3', u'no Pawn is able to move to e3', '1rqkbbnr/1pp3pp/1n3p2/p3p3/1P1pP3/Q2P3N/P1P2PPP/N1KRBB1R b hb - 0 8')
Summary: [abrt] pychess-0.10-1.fc15: lmove.py:349:parseSAN:ParsingError: ('dxe3', u'no...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pychess
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:dec1172c1d87a17a43c639b236f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 05:10 UTC by Alexey Torkhov
Modified: 2012-08-06 19:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Position after which traceback happens (329 bytes, application/x-chess-pgn)
2011-09-01 05:12 UTC, Alexey Torkhov
no flags Details

Description Alexey Torkhov 2011-09-01 05:10:43 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python -u /usr/lib/python2.7/site-packages/pychess/Players/PyChess.py
component:      pychess
executable:     /usr/lib/python2.7/site-packages/pychess/Players/PyChess.py
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        pychess-0.10-1.fc15
reason:         lmove.py:349:parseSAN:ParsingError: ('dxe3', u'no Pawn is able to move to e3', '1rqkbbnr/1pp3pp/1n3p2/p3p3/1P1pP3/Q2P3N/P1P2PPP/N1KRBB1R b hb - 0 8')
time:           Thu Sep  1 08:58:12 2011
uid:            502
username:       alex

backtrace:
:lmove.py:349:parseSAN:ParsingError: ('dxe3', u'no Pawn is able to move to e3', '1rqkbbnr/1pp3pp/1n3p2/p3p3/1P1pP3/Q2P3N/P1P2PPP/N1KRBB1R b hb - 0 8')
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/pychess/Players/PyChess.py", line 832, in <module>
:    pychess.run()
:  File "/usr/lib/python2.7/site-packages/pychess/Players/PyChess.py", line 267, in run
:    move = parseAny (self.board, lines[1])
:  File "/usr/lib/python2.7/site-packages/pychess/Utils/lutils/lmove.py", line 51, in parseAny
:    return parseSAN (board, algnot)
:  File "/usr/lib/python2.7/site-packages/pychess/Utils/lutils/lmove.py", line 349, in parseSAN
:    raise ParsingError, (san, errstring, board.asFen())
:ParsingError: ('dxe3', u'no Pawn is able to move to e3', '1rqkbbnr/1pp3pp/1n3p2/p3p3/1P1pP3/Q2P3N/P1P2PPP/N1KRBB1R b hb - 0 8')
:
:Local variables in innermost frame:
:notat: ''
:c: '3'
:san: 'dxe3'
:genAllMoves: <function genAllMoves at 0x16ff2a8>
:frank: None
:move: 2073
:tcord: 20
:flag: 3
:board: Black hb -
:. r q k b b n r 
:. p p . . . p p 
:. n . . . p . . 
:p . . . p . . . 
:. P . p P . . . 
:Q . . P . . . N 
:P . P . . P P P 
:N . K R B B . R 
:
:errstring: u'no Pawn is able to move to e3'
:ffile: 3
:piece: 1

comment:
:To reproduce:
:1. Load attached position with black as human and white as pychess
:2. As black performing enpassant capture in attached position: D4-E3
:... traceback in one of pychess processes happens

Comment 1 Alexey Torkhov 2011-09-01 05:12:34 UTC
Created attachment 520950 [details]
Position after which traceback happens

Comment 2 Bruno Wolff III 2011-09-03 18:46:49 UTC
I have a new test update with a number of post 0.10 upstream fixes. Please try it out and let me know if it fixes this issue and/or causes other issues. Thanks.
https://admin.fedoraproject.org/updates/pychess-0.10.rev2004-1.fc15

Comment 3 Fedora End Of Life 2012-08-06 19:56:14 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2012-08-06 19:58:31 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.